module Encoding.Xx
  ( encxx
  , decxx
  ) where

import qualified Codec.Binary.Xx as XX
import Data.ByteString.UTF8 as BSU      -- from utf8-string
import qualified Data.ByteString.Char8 as C

decxx :: String -> String
decxx input =
   case XX.decode (BSU.fromString input) of
     Right decoded -> C.unpack decoded
     Left _ -> "Error decoding XX.\n"

encxx :: String -> String
encxx = C.unpack . XX.encode . BSU.fromString
